import { SuiteLifecycleFunction } from '../Suite';
import { TestFunction } from '../Test';
import Executor from '../executors/Executor';
export interface TddInterface {
    suite(name: string, factory: SuiteLifecycleFunction): void;
    test(name: string, test: TestFunction): void;
    before(fn: SuiteLifecycleFunction): void;
    after(fn: SuiteLifecycleFunction): void;
    beforeEach(fn: SuiteLifecycleFunction): void;
    afterEach(fn: SuiteLifecycleFunction): void;
}
export default function getInterface(executor: Executor): TddInterface;
